Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
eZ\Bundle\EzPublishRestBundle\CorsOptions\RestProvider Class Reference

REST Cors Options provider. More...

Inheritance diagram for eZ\Bundle\EzPublishRestBundle\CorsOptions\RestProvider:

## Public Member Functions
| __construct (RequestMatcherInterface $requestMatcher)
| getOptions (Request $request)
| Returns allowed CORS methods for a REST route. More...

## Protected Member Functions
| getAllowedMethods ($uri)

## Protected Attributes
| $requestMatcher

## Detailed Description

REST Cors Options provider.

Uses the REST OPTIONS routes allowedMethods attribute to provide the list of methods allowed for an URI.

Definition at line 20 of file RestProvider.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Bundle\EzPublishRestBundle\CorsOptions\RestProvider::__construct | ( | RequestMatcherInterface | $requestMatcher | ) |

Parameters

  RequestMatcherInterface | $requestMatcher |

Definition at line 28 of file RestProvider.php.

References eZ\Bundle\EzPublishRestBundle\CorsOptions\RestProvider\$requestMatcher.

## Member Function Documentation

## ◆ getAllowedMethods()

eZ\Bundle\EzPublishRestBundle\CorsOptions\RestProvider::getAllowedMethods | ( |  | $uri | ) |
| protected

Definition at line 50 of file RestProvider.php.

Referenced by eZ\Bundle\EzPublishRestBundle\CorsOptions\RestProvider\getOptions().

## ◆ getOptions()

eZ\Bundle\EzPublishRestBundle\CorsOptions\RestProvider::getOptions | ( | Request | $request | ) |

Returns allowed CORS methods for a REST route.

Parameters

  \Symfony\Component\HttpFoundation\Request | $request |

Returns
  array

Definition at line 40 of file RestProvider.php.

References eZ\Bundle\EzPublishRestBundle\CorsOptions\RestProvider\getAllowedMethods().

## Member Data Documentation

## ◆ $requestMatcher

eZ\Bundle\EzPublishRestBundle\CorsOptions\RestProvider::$requestMatcher
| protected

Definition at line 23 of file RestProvider.php.

Referenced by eZ\Bundle\EzPublishRestBundle\CorsOptions\RestProvider\__construct().

The documentation for this class was generated from the following file:

- RestProvider.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.